commit: 1b1a7f0489f9279bb3a6833c1310f163c2d75baa
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 8 19:39:46 2021 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Mar 8 19:40:29 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b1a7f04
app-emulation/containerd: 1.4.4 bump
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
app-emulation/containerd/Manifest | 1 +
app-emulation/containerd/containerd-1.4.4.ebuild | 82 ++++++++++++++++++++++++
2 files changed, 83 insertions(+)
diff --git a/app-emulation/containerd/Manifest
b/app-emulation/containerd/Manifest
index d0867a03104..d3087745792 100644
--- a/app-emulation/containerd/Manifest
+++ b/app-emulation/containerd/Manifest
@@ -1,3 +1,4 @@
DIST containerd-1.3.7.tar.gz 5709989 BLAKE2B
0cfa6f5bcd41c1591e64f41dbba2720bed5f25d61625b6d09be19df56fe74b61532b627c35a830e1e4937333f790f7ff8a5fad18b8869a679a6fec18daf238d3
SHA512
7c6de27b6529e3fb3f924ec67a260a51bc45186d69baa4cae6720a08e5c3b74aeb43d236c0a4739f297b2863233bde7d2246a597c9e17713c48bec767c6bbfee
DIST containerd-1.3.9.tar.gz 5717856 BLAKE2B
f6b9741f7d793a18b44813453d185cb9e8f4742fbb2987521445104fb44bca913571d6b4f6386ea048084d6565d41759c6ec95ac4591bd9b2101b40bbaafd8fa
SHA512
79e0baab72169f84b8661b77f54d0a906a380cd00cbabd00bfec6c10d71a13fc4dd81c7b5e1c3ce184f91d3f68d6df9b735f13e6e04d494792bf7374058d43aa
DIST containerd-1.4.3.gh.tar.gz 6180754 BLAKE2B
41dfedf18dcdfe942013ca4a036235b39e3ce98c89fa64a99c05693183b26c071cec613566234de709df943da6ebd62e6a29b918b30233b9660519c4970c0f0c
SHA512
0bb64ebc8afc87781fbdb21b7c8362e3cd9a3afe88c053905e9c6859788f0801187aa6abb79dc1d293dd92f74d320ff4a2293a6abb00914781a487a869e68a80
+DIST containerd-1.4.4.tar.gz 6174959 BLAKE2B
62d0a6bafbdb8da2b7d0f8b9371b566a971eda87b993e54af7a1d40a3d8ee3876bb38cb18c876f6911f91a531235bb448446acc690854b833bd51657df294d6e
SHA512
f09930d19f53381d86cf522954458ecc949f15a0c6a49f990bdb61fe19afee075356338998ed84bd756f16ba85211f55f9c638de8b7083d71e24d8e87335e070
diff --git a/app-emulation/containerd/containerd-1.4.4.ebuild
b/app-emulation/containerd/containerd-1.4.4.ebuild
new file mode 100644
index 00000000000..fc5462fead9
--- /dev/null
+++ b/app-emulation/containerd/containerd-1.4.4.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CONTAINERD_COMMIT=05f951a3781f4f2c1911b05e61c160e9c30eaa8e
+EGO_PN="github.com/containerd/${PN}"
+inherit golang-vcs-snapshot toolchain-funcs
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/"
+SRC_URI="https://github.com/containerd/containerd/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="apparmor btrfs device-mapper +cri hardened +seccomp selinux test"
+
+DEPEND="
+ btrfs? ( sys-fs/btrfs-progs )
+ seccomp? ( sys-libs/libseccomp )
+"
+
+RDEPEND="
+ ${DEPEND}
+ ~app-emulation/runc-1.0.0_rc92
+"
+
+BDEPEND="
+ dev-go/go-md2man
+ virtual/pkgconfig
+ test? ( ${RDEPEND} )
+"
+
+# tests require root or docker
+# upstream does not recommend stripping binary
+RESTRICT+=" strip test"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+ default
+ sed -i -e "s/git describe --match.*$/echo ${PV})/"\
+ -e "s/git rev-parse HEAD.*$/echo ${CONTAINERD_COMMIT})/"\
+ -e "s/-s -w//" \
+ Makefile || die
+}
+
+src_compile() {
+ local options=(
+ $(usev apparmor)
+ $(usex btrfs "" "no_btrfs")
+ $(usex cri "" "no_cri")
+ $(usex device-mapper "" "no_devmapper")
+ $(usev seccomp)
+ $(usev selinux)
+ )
+
+ myemakeargs=(
+ BUILDTAGS="${options[*]}"
+ DESTDIR="${ED}"
+ LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')"
+ )
+
+ export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
+ export GOFLAGS="-v -x -mod=vendor"
+ emake "${myemakeargs[@]}" all man
+}
+
+src_install() {
+ dobin bin/*
+ doman man/*
+ newinitd "${FILESDIR}"/${PN}.initd "${PN}"
+ keepdir /var/lib/containerd
+
+ # we already installed manpages, remove markdown source
+ # before installing docs directory
+ rm -r docs/man || die
+
+ local DOCS=( README.md PLUGINS.md docs/. )
+ einstalldocs
+}